> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Service Custom Fields

Custom fields allow you to enrich PagerDuty services with critical and helpful metadata throughout the Service lifecycle.

- [List Fields](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/list-service-custom-fields.md) — `GET /services/custom_fields`
- [Create a Field](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/create-service-custom-field.md) — `POST /services/custom_fields`
- [Get a Field](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/get-service-custom-field.md) — `GET /services/custom_fields/{field_id}`
- [Delete a Field](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/delete-service-custom-field.md) — `DELETE /services/custom_fields/{field_id}`
- [Update a Field](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/update-service-custom-field.md) — `PUT /services/custom_fields/{field_id}`
- [List Field Options](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/list-service-custom-field-options.md) — `GET /services/custom_fields/{field_id}/field_options`
- [Create a Field Option](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/create-service-custom-field-option.md) — `POST /services/custom_fields/{field_id}/field_options`
- [Get a Field Option](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/get-service-custom-field-option.md) — `GET /services/custom_fields/{field_id}/field_options/{field_option_id}`
- [Delete a Field Option](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/delete-service-custom-field-option.md) — `DELETE /services/custom_fields/{field_id}/field_options/{field_option_id}`
- [Update a Field Option](https://docs.pagerduty.com/developer/api/reference/rest/service-custom-fields/update-service-custom-field-option.md) — `PUT /services/custom_fields/{field_id}/field_options/{field_option_id}`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
